
Redmine - Defect #11842

Referencing issue in commit message not working.

2012-09-16 15:23 - Paulo Castro

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I could swear this was working before, I can't precise when.

It doesn't seem to be working anymore.

Making references in the commits by using the specified keywords as defined in the Settings->Repositories for

Referencing Keywords

Fixing Keywords

doesn't seem to have any effect on the status of a given ticket.

Related issues:

Related to Redmine - Defect #11841: git log error: git exited with non-zero s... New

History

#1 - 2012-09-16 15:24 - Paulo Castro

SVN Version 10390

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.11

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache::Strategy::L

ocalCache::Middleware:0x7f9dda7aa588>, Rack::Runtime, Rack::MethodOverride, ActionDispatch::RequestId, Rails::

Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions, ActionDispatch::RemoteIp, Actio

nDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement, ActiveRecord::QueryCache, Action

Dispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash, ActionDispatch::ParamsParser, 

ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentica

tion

Application root          /srv/redmine/redmine

Environment               production

Database adapter          mysql

Database schema version   20120731164049

#2 - 2012-09-16 17:21 - Jean-Philippe Lang

- Subject changed from Git referencing not working. to Referencing issue in commit message not working.

- Resolution set to Cant reproduce

There are tests for that so there are few chances that it's broken. Please provide:

the exact commit message

the exact values of your keywords in application settings

#3 - 2012-09-17 00:53 - Paulo Castro

Error log snippet.
Started GET "/projects/mycrazyproject/refatal: bad object f0b668c1a98b02b924728a7011feab8ce060fa3b

pository" for 192.168.13.3 at Sun Sep 16 23:43:57 +0100 2012

Processing by RepositoriesController#show as HTML

  Parameters: {"id"=>"mycrazyproject"}

  Current user: pecastro (id=3)

git log error: git exited with non-zero status: 128

  Rendered repositories/_navigation.html.erb (27.1ms)

  Rendered repositories/_breadcrumbs.html.erb (1.4ms)

  Rendered repositories/_dir_list_content.html.erb (382.1ms)

  Rendered repositories/_dir_list.html.erb (383.4ms)

  Rendered repositories/show.html.erb within layouts/base (424.1ms)

Completed 200 OK in 2589ms (Views: 471.4ms | ActiveRecord: 31.2ms)

 Referencing keywords: refs,references,IssueID

Fixing keywords: fixes,closes

Commit messages:

Final stage of Plugin::STM done. closes #224

Have most,least and last return a hashref rather than a list. closes #160

return hashrefs of the elements keyed on their occurence index..

refs #208

#4 - 2012-09-25 14:54 - Daniel Dehennin

Hello,

We have the same issue, 16 of our projects have invalid git commitID in the redmine database, resulting in git log error: git exited with non-zero

status: 128

For one project, we removed the git repository and add it again, redmine duplicates some issues notes and send duplicates email for automatic

resolution of issues.

Is there a cleaner way to remove the faulty commitID from the database?

Regards.

#5 - 2013-05-06 15:55 - Daniel Dehennin

I put a solution in #12853.

#6 - 2013-05-08 14:26 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

Paulo Castro wrote:

Error log snippet.

git log error: git exited with non-zero status: 128

 It is obviously git configuration problem.
